Skip to main content
GET
/
nodes
Retrieves a list of nodes
curl --request GET \
  --url https://api.comfy.org/nodes
import requests

url = "https://api.comfy.org/nodes"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.comfy.org/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 123,
  "nodes": [
    {
      "author": "<string>",
      "banner_url": "<string>",
      "category": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "downloads": 123,
      "github_stars": 123,
      "icon": "<string>",
      "id": "<string>",
      "latest_version": {
        "changelog": "<string>",
        "comfy_node_extract_status": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "dependencies": [
          "<string>"
        ],
        "deprecated": true,
        "downloadUrl": "<string>",
        "id": "<string>",
        "node_id": "<string>",
        "status_reason": "<string>",
        "supported_accelerators": [
          "<string>"
        ],
        "supported_comfyui_frontend_version": "<string>",
        "supported_comfyui_version": "<string>",
        "supported_os": [
          "<string>"
        ],
        "tags": [
          "<string>"
        ],
        "tags_admin": [
          "<string>"
        ],
        "version": "<string>"
      },
      "license": "<string>",
      "name": "<string>",
      "preempted_comfy_node_names": [
        "<string>"
      ],
      "publisher": {
        "createdAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "id": "<string>",
        "logo": "<string>",
        "members": [
          {
            "id": "<string>",
            "role": "<string>",
            "user": {
              "email": "<string>",
              "id": "<string>",
              "name": "<string>"
            }
          }
        ],
        "name": "<string>",
        "source_code_repo": "<string>",
        "support": "<string>",
        "website": "<string>"
      },
      "rating": 123,
      "repository": "<string>",
      "search_ranking": 123,
      "status_detail": "<string>",
      "supported_accelerators": [
        "<string>"
      ],
      "supported_comfyui_frontend_version": "<string>",
      "supported_comfyui_version": "<string>",
      "supported_os": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "tags_admin": [
        "<string>"
      ],
      "translations": {}
    }
  ],
  "page": 123,
  "total": 123,
  "totalPages": 123
}
{
"error": "<string>",
"message": "<string>"
}

Query Parameters

page
integer
default:1

Page number of the nodes list

limit
integer
default:10

Number of nodes to return per page

supported_os
string

Filter nodes by supported operating systems

supported_accelerator
string

Filter nodes by supported accelerator

include_banned
boolean

Number of nodes to return per page

timestamp
string<date-time>

Retrieve nodes created or updated after this timestamp (ISO 8601 format)

latest
boolean

Whether to fetch fresh result from database or use cached one if false

sort
string[]

Database column to use as ascending ordering. Add ;desc as suffix on each column for descending sort

node_id
string[]

node_id to use as filter

comfyui_version
string

Comfy UI version

form_factor
string

The platform requesting the nodes

Response

A paginated list of nodes

limit
integer

Maximum number of nodes per page

nodes
object[]
page
integer

Current page number

total
integer

Total number of nodes available

totalPages
integer

Total number of pages available